import { SceneSystem, type SceneSystemOptions } from 'dacha';
export declare class DebugVisualizer extends SceneSystem {
    private options;
    private mainActor;
    private actorQuery;
    private debugActorMap;
    constructor(options: SceneSystemOptions);
    onSceneEnter(): void;
    onSceneDestroy(): void;
    private handleActorAdd;
    private handleActorRemove;
    update(): void;
}
